Skip to main content
POST
/
projects
/
{project_reference}
/
jobs
/
{job_id}
/
result
Post Job Runtime Result
curl --request POST \
  --url https://api.veryfront.com/projects/{project_reference}/jobs/{job_id}/result \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "logs": "<string>",
  "result": null,
  "artifacts": [
    null
  ],
  "completed_at": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updated_at": "<string>"
}

Authorizations

Authorization
string
header
required

Authentication via JWT token or API key. JWT: Get from Veryfront dashboard. API Key: Format "vf__" - create via /api-keys endpoint.

Path Parameters

project_reference
string
required

Project ID or slug

job_id
string<uuid>
required

Job UUID

Body

application/json
logs
string
result
unknown
artifacts
null[]
completed_at
string

Response

Job result stored

id
string<uuid>
required
updated_at
string
required